From 0b1a6b3353e1440bcf6dde9c5bae47da9d751cf8 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 06 2020 04:06:44 +0000
Subject: [PATCH 1303/2232] Link Cfg fields to their explanation in CFG


---

diff --git a/gen/build/src/cfg.rs b/gen/build/src/cfg.rs
index 3897516..aecd046 100644
--- a/gen/build/src/cfg.rs
+++ b/gen/build/src/cfg.rs
@@ -4,13 +4,13 @@ use std::path::Path;
 
 /// Build configuration. See [CFG].
 pub struct Cfg<'a> {
+    /// See [`CFG.include_prefix`][CFG#cfginclude_prefix].
     pub include_prefix: &'a str,
-    // Not implemented yet. https://github.com/dtolnay/cxx/issues/417
-    #[doc(hidden)]
+    /// See [`CFG.exported_header_dirs`][CFG#cfgexported_header_dirs].
     pub exported_header_dirs: Vec<&'a Path>,
-    #[doc(hidden)]
+    /// See [`CFG.exported_header_prefixes`][CFG#cfgexported_header_prefixes].
     pub exported_header_prefixes: Vec<&'a str>,
-    #[doc(hidden)]
+    /// See [`CFG.exported_header_links`][CFG#cfgexported_header_links].
     pub exported_header_links: Vec<&'a str>,
     marker: PhantomData<*const ()>, // !Send + !Sync
 }

